<div class="container notification-page">
  <div class="container-inner">
    <!--breadcrumb start -->
    <nav class="breadcrumb">
       <a class="breadcrumb-item" href="#/dashboard"><i class="fa fa-home" aria-hidden="true"></i> {{ 'HOME' | translate }}</a>
       <span class="breadcrumb-item">{{ 'PBLIS_COMM' | translate }}</span>
    </nav>
    <div class="wrapper-wrap">
      <div class="alert alert-danger" id="sendNotificationFailed" role="alert" data-ng-if="response.status === 'error' ">
        {{ 'NOT_NOT_SEND' | translate }}
      </div>
      <form name="notificationForm" novalidate="novalidate" data-ng-submit="sendNotification()">
        <div class="col-sm-12">
          <h3> {{ 'PBLIS_COMM' | translate }} </h3>
        </div>
        <div class="alert alert-danger" role="alert" data-ng-if="response.status === 'error' ">
           {{ 'NOT_NOT_SEND' | translate }}
        </div>
        <div class="alert alert-success" role="alert" data-ng-show="response.status === 'success'">
           {{response.message}}
        </div>
        <div class="col-sm-12">
          <div class="row">
            <div class="col-sm-3">
              <label>{{ 'SLCT_AUDI' | translate }}</label>
            </div>
            <div class="col-sm-7 col-xs-offset-right-3">
              <select data-role="multiselect" name="audience" data-ng-model="notification.audience" class="multiselect-ui form-control form-input" multiple="multiple" required="required" data-placeholder="{{'NON_SLCTD' | translate}}">
                <option value="{{item}}" data-ng-repeat="item in notificationResponse.user_group">{{item}}</option>
              </select>
              <p class="error-message help-block" ng-show="notificationForm.audience.$error.required &amp;&amp; notificationForm.audience.$touched">{{ 'AUDI_REQ' | translate }}</p>
            </div>
          </div>
          <div class="row">
            <div class="col-sm-3">
              <label> {{ 'TMPLT' | translate }}</label>
            </div>
            <div class="col-sm-7 col-xs-offset-right-3">
              <select data-role="multiselect" name="template" data-ng-model="notification.template" class=" form-control form-input" required="required" data-ng-change="loadNewTemplate()">
                <option value="{{$index}}" data-ng-repeat="item in notificationResponse.template">{{item.subject}}</option>
                <option value="addNew"> {{ 'AD_NW' | translate }}</option>
              </select>
            </div>
          </div>
          <div class="row">
            <div class="col-sm-3">
              <label> {{ 'SUB' | translate }}</label>
            </div>
            <div class="col-sm-7 col-xs-offset-right-3">
              <input type="text" name="subject" data-ng-disabled="!editable" data-ng-model="notification.subject" class="form-control form-input" required="required" data-ng-class="{'error': notificationForm.subject.$invalid}"></input>
              <p class="error-message help-block" ng-show="notificationForm.subject.$error.required &amp;&amp; notificationForm.subject.$touched" > {{ 'SUB_REQ' | translate }}</p>
            </div>
          </div>
          <div class="row">
            <div class="col-sm-3">
              <label> {{ 'MSG' | translate }}</label>
            </div>
            <div class="col-sm-7 col-xs-offset-right-3">
              <textarea rows="10" data-ng-disabled="!editable" data-ng-model="notification.message" name="message" required="required" class="form-control form-input" ></textarea>
              <p class="error-message help-block" ng-show="notificationForm.message.$error.required &amp;&amp; notificationForm.message.$touched">{{ 'MSG_REQ' | translate }}</p>
            </div>
          </div>
        </div>
        <div class="well text-right">
          <button type="button" data-ng-if="editable" data-ng-click="disableTemplate()" class="btn btn-danger">{{ 'CANCL_CAPS' | translate }}</button>
          <button type="button" data-ng-if="!editable" data-ng-click="editTemplate()" class="btn btn-primary"> {{ 'EDIT' | translate }}</button>
          <button type="submit" class="btn approval"> {{ 'SND_CAPS' | translate }}</button>
        </div>
      </form>
    </div>
  </div>
</div> 
<div data-ng-include src="getTemplatePath('notificationModal')"></div>
